# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2017-10-10 01:52
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix.utils.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('saas', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('receiver_object_id', models.PositiveIntegerField()),
                ('is_read', models.BooleanField(default=False, verbose_name='\u662f\u5426\u5df2\u8bfb')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('read_time', models.DateTimeField(blank=True, null=True, verbose_name='\u9605\u8bfb\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('receiver_content_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u6d88\u606f',
                'verbose_name_plural': '\u6d88\u606f',
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('receiver_ids', django_szuprefix.utils.modelutils.JSONField(blank=True, null=True, verbose_name='\u6240\u6709\u63a5\u6536\u8005ID')),
                ('type', models.CharField(default='sys', max_length=32, verbose_name='\u6d88\u606f\u7c7b\u578b')),
                ('title', models.CharField(blank=True, max_length=255, verbose_name='\u6807\u9898')),
                ('content', models.TextField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('link', models.CharField(blank=True, default='', max_length=255, null=True, verbose_name='\u8fde\u63a5')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='message_tasks', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('receiver_content_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='message_tasks', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4efb\u52a1',
                'verbose_name_plural': '\u4efb\u52a1',
            },
        ),
        migrations.AddField(
            model_name='message',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages', to='message.Task', verbose_name='\u4efb\u52a1'),
        ),
        migrations.AddField(
            model_name='message',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
    ]
